Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	A commercial-quality network protocol analyzer.
Name:		wireshark
Version:	1.2.2
Release:	1
Group:		Networking/Other
License:	GPL
URL:		http://www.wireshark.org/
Source0:	%{name}-%{version}.tar.bz2
Source1:	wireshark.desktop
Patch0:		wireshark-kernel2625.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	net-snmp-devel 
BuildRequires:  adns-devel 
BuildRequires:  libcap-devel
BuildRequires:  libpcap-devel 
BuildRequires:  zlib-devel 
BuildRequires:  pkg-config 
BuildRequires:  openssl-devel 
BuildRequires:  pcre 
BuildRequires:	glib-devel 
BuildRequires:  gtk2+-devel 
BuildRequires:  pango-devel 
BuildRequires:  atk-devel 
BuildRequires:  krb5-devel 
BuildRequires:  beecrypt-devel 
BuildRequires:  rpm-devel 
BuildRequires:  neon-devel
Requires:	net-snmp 
BuildRequires:  adns libpcap 
BuildRequires:  zlib 
BuildRequires:  pkg-config 
BuildRequires:  openssl 
BuildRequires:  pcre 
BuildRequires:  glib 
BuildRequires:  gtk2+ 
BuildRequires:  krb5
BuildRequires:  portaudio-devel
BuildRequires:  libsmi-devel
Obsoletes:	ethereal

%description
A commercial-quality network protocol analyzer, formerly known as ethereal.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
export LDFLAGS="-L/usr/lib"
./configure --prefix=%_prefix \
--enable-ipv6 \
--mandir=%_mandir \
--with-ssl \
--with-adns \
--with-snmp \
--with-net-snmp \
--without-ucd-snmp \
--enable-dftest \
--enable-randpkt \
--enable-gtk2 \
--sysconfdir=%_sysconfdir \
--disable-dependency-tracking \
--enable-threads

#--with-lua \

export MIBDIRS="$RPM_BUILD_ROOT%_datadir/snmp/mibs"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor/48x48/apps
install -m 755 -d $RPM_BUILD_ROOT%_datadir/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications
install -m 644 image/hi16-app-wireshark.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps/wireshark.png
install -m 644 image/hi32-app-wireshark.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps/wireshark.png
install -m 644 image/hi48-app-wireshark.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/48x48/apps/wireshark.png
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL.* NEWS README* 
%_bindir/capinfos
%_bindir/dftest
%_bindir/dumpcap
%_bindir/editcap
%_bindir/idl2wrs
%_bindir/mergecap
%_bindir/randpkt
%_bindir/rawshark
%_bindir/text2pcap
%_bindir/tshark
%_bindir/wireshark
%_libdir/wireshark/
%_libdir/libwireshark.*
%_libdir/libwiretap.*
%_libdir/libwsutil.*
%_datadir/wireshark
%_datadir/icons/hicolor/*/apps/wireshark.png
%_datadir/applications/wireshark.desktop
%_mandir/man1/capinfos.1.gz
%_mandir/man1/dumpcap.1.gz
%_mandir/man1/editcap.1.gz
%_mandir/man1/idl2wrs.1.gz
%_mandir/man1/mergecap.1.gz
%_mandir/man1/rawshark.1.gz
%_mandir/man1/text2pcap.1.gz
%_mandir/man1/tshark.1.gz
%_mandir/man1/wireshark.1.gz
%_mandir/man4/wireshark-filter.4.gz

%changelog
* Wed Sep 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version update
* Sun Feb 08 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.2-1
- Version update
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Thu Sep 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-2
- rebuilt against libcap 2.11 
* Sat Jul 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Version update
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Version update, added smp_flags
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-2
- rebuilt against gnutls 2.2.2
* Mon Mar 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.99.8-1
- version update
* Tue Dec 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.7-1
- version update
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.6-2
- rebuilt against net-snmp 5.4.1, neon 0.27.2
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.6-1
- version update
* Fri Feb 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.5-1
- version update
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.99.4-1
- Version update
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.99.3-2
- rebuilt against net-snmp 5.3.1
* Thu Aug 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.99.3-1
- version update
* Sun Jul 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.99.2-1
- version update
* Sat Jun 24 2006 Christian Metzen <metzench@ccux-linux.de> 0.99.1pre1-2
- added obsoletes Tag for ethereal
* Wed Jun 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.99.1pre1-1
- Initial Release
